import { render } from '@testing-library/react'
import { FluidType } from 'enums'
import React from 'react'
import StyledSwitch from './StyledSwitch'

describe('StyledSwitch component test', () => {
  it('should render correctly electricity StyledSwitch', () => {
    const { container } = render(
      <StyledSwitch fluidType={FluidType.ELECTRICITY} />
    )
    expect(container).toMatchSnapshot()
  })

  it('should render correctly water StyledSwitch', () => {
    const { container } = render(<StyledSwitch fluidType={FluidType.WATER} />)
    expect(container).toMatchSnapshot()
  })

  it('should render correctly gas StyledSwitch', () => {
    const { container } = render(<StyledSwitch fluidType={FluidType.GAS} />)
    expect(container).toMatchSnapshot()
  })
})
