import { UserActionState } from 'enums'
import { DateTime } from 'luxon'
import { Ecogesture } from 'models'

export interface UserActionEntity {
  ecogesture: Ecogesture | null
  state: UserActionState
  startDate: string | null
}
export interface UserAction extends Omit<UserActionEntity, 'startDate'> {
  startDate: DateTime | null
}
